10/10 21:55
出现问题
Could not find a package configuration file provided by "Qt6" (requested
version 6.0.0) with any of the following names:

解决方法: sudo apt install qt6-remoteobjects-dev
2020/04/03 13:59
该评论暂时无法显示,详情咨询 QQ 群:点此入群
2017/11/08 13:48

引用来自“lieefu”的评论

引用来自“xsy7464”的评论

lieefu你好!
我遇到的问题:自己下载的fcitx-qt5-1.05,qt版本是5.7.1,qmake,cmake都设置了最新的环境变量,然而无论怎么删目录再重来,都在make这一步遇到Generating moc source fcitxplatforminputcontextplugin_automoc.dir/moc_qfcitxplatform_I3GE7FUDXMBKEU.cpp
Generating moc compilation fcitxplatforminputcontextplugin_automoc.cpp
moc failed...
platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/build.make:57: recipe for target 'platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc' failed
make2: *** [platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc] Error 1
CMakeFiles/Makefile2:300: recipe for target 'platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/all' failed
make1: *** [platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/all] Error 2
Makefile:127: recipe for target 'all' failed
make: *** [all] Error 2
问题,请帮助解决下?谢谢!

@xsy7464 参考文中的 设置qmake的环境变量

引用来自“xsy7464”的评论

已经export 过qmake cmake 的目录 qmake:/opt/QT5.7.1/5.7/gcc_64/lib

引用来自“微软不硬”的评论

qmake的path变量设置错了,qmake所在目录应该是一个bin目录

引用来自“xsy7464”的评论

你好,我export时候是/opt/QT5.7.1/5.7/gcc_64/bin ,设置之后输入qmake -v
系统显示的qmake version 3.0
using qt version 5.7.1 in /opt/QT5.7.1/5.7/gcc_64/lib
然而问题依旧。

引用来自“lieefu”的评论

你的Qt5.7.1是自己编译源代码安装的么?

引用来自“xsy7464”的评论

是去qt官网下载的qt-opensource-linux-x64-5.7.1.run文件,通过samba拷贝到Linux虚拟机,然后执行图形化安装的。虚拟机版本是vmware 12

引用来自“lieefu”的评论

我现在用的是Qt5.9.2,没遇到问题。你也更换成Qt5.9版本吧,这个是LTS版本,以后就固定使用这个Qt版本了。

引用来自“xsy7464”的评论

安装了5.9.2,make时,还是完全一样的错误,请问你的ubuntu也是虚拟机里面运行的吗?
不是虚拟机内
2017/11/08 12:13

引用来自“lieefu”的评论

引用来自“xsy7464”的评论

lieefu你好!
我遇到的问题:自己下载的fcitx-qt5-1.05,qt版本是5.7.1,qmake,cmake都设置了最新的环境变量,然而无论怎么删目录再重来,都在make这一步遇到Generating moc source fcitxplatforminputcontextplugin_automoc.dir/moc_qfcitxplatform_I3GE7FUDXMBKEU.cpp
Generating moc compilation fcitxplatforminputcontextplugin_automoc.cpp
moc failed...
platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/build.make:57: recipe for target 'platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc' failed
make2: *** [platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc] Error 1
CMakeFiles/Makefile2:300: recipe for target 'platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/all' failed
make1: *** [platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/all] Error 2
Makefile:127: recipe for target 'all' failed
make: *** [all] Error 2
问题,请帮助解决下?谢谢!

@xsy7464 参考文中的 设置qmake的环境变量

引用来自“xsy7464”的评论

已经export 过qmake cmake 的目录 qmake:/opt/QT5.7.1/5.7/gcc_64/lib

引用来自“微软不硬”的评论

qmake的path变量设置错了,qmake所在目录应该是一个bin目录

引用来自“xsy7464”的评论

你好,我export时候是/opt/QT5.7.1/5.7/gcc_64/bin ,设置之后输入qmake -v
系统显示的qmake version 3.0
using qt version 5.7.1 in /opt/QT5.7.1/5.7/gcc_64/lib
然而问题依旧。

引用来自“lieefu”的评论

你的Qt5.7.1是自己编译源代码安装的么?

引用来自“xsy7464”的评论

是去qt官网下载的qt-opensource-linux-x64-5.7.1.run文件,通过samba拷贝到Linux虚拟机,然后执行图形化安装的。虚拟机版本是vmware 12

引用来自“lieefu”的评论

我现在用的是Qt5.9.2,没遇到问题。你也更换成Qt5.9版本吧,这个是LTS版本,以后就固定使用这个Qt版本了。
安装了5.9.2,make时,还是完全一样的错误,请问你的ubuntu也是虚拟机里面运行的吗?
2017/11/08 11:29

引用来自“lieefu”的评论

引用来自“xsy7464”的评论

lieefu你好!
我遇到的问题:自己下载的fcitx-qt5-1.05,qt版本是5.7.1,qmake,cmake都设置了最新的环境变量,然而无论怎么删目录再重来,都在make这一步遇到Generating moc source fcitxplatforminputcontextplugin_automoc.dir/moc_qfcitxplatform_I3GE7FUDXMBKEU.cpp
Generating moc compilation fcitxplatforminputcontextplugin_automoc.cpp
moc failed...
platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/build.make:57: recipe for target 'platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc' failed
make2: *** [platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc] Error 1
CMakeFiles/Makefile2:300: recipe for target 'platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/all' failed
make1: *** [platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/all] Error 2
Makefile:127: recipe for target 'all' failed
make: *** [all] Error 2
问题,请帮助解决下?谢谢!

@xsy7464 参考文中的 设置qmake的环境变量

引用来自“xsy7464”的评论

已经export 过qmake cmake 的目录 qmake:/opt/QT5.7.1/5.7/gcc_64/lib

引用来自“微软不硬”的评论

qmake的path变量设置错了,qmake所在目录应该是一个bin目录

引用来自“xsy7464”的评论

你好,我export时候是/opt/QT5.7.1/5.7/gcc_64/bin ,设置之后输入qmake -v
系统显示的qmake version 3.0
using qt version 5.7.1 in /opt/QT5.7.1/5.7/gcc_64/lib
然而问题依旧。

引用来自“lieefu”的评论

你的Qt5.7.1是自己编译源代码安装的么?

引用来自“xsy7464”的评论

是去qt官网下载的qt-opensource-linux-x64-5.7.1.run文件,通过samba拷贝到Linux虚拟机,然后执行图形化安装的。虚拟机版本是vmware 12
我现在用的是Qt5.9.2,没遇到问题。你也更换成Qt5.9版本吧,这个是LTS版本,以后就固定使用这个Qt版本了。
2017/11/08 11:24

引用来自“lieefu”的评论

引用来自“xsy7464”的评论

lieefu你好!
我遇到的问题:自己下载的fcitx-qt5-1.05,qt版本是5.7.1,qmake,cmake都设置了最新的环境变量,然而无论怎么删目录再重来,都在make这一步遇到Generating moc source fcitxplatforminputcontextplugin_automoc.dir/moc_qfcitxplatform_I3GE7FUDXMBKEU.cpp
Generating moc compilation fcitxplatforminputcontextplugin_automoc.cpp
moc failed...
platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/build.make:57: recipe for target 'platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc' failed
make2: *** [platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc] Error 1
CMakeFiles/Makefile2:300: recipe for target 'platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/all' failed
make1: *** [platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/all] Error 2
Makefile:127: recipe for target 'all' failed
make: *** [all] Error 2
问题,请帮助解决下?谢谢!

@xsy7464 参考文中的 设置qmake的环境变量

引用来自“xsy7464”的评论

已经export 过qmake cmake 的目录 qmake:/opt/QT5.7.1/5.7/gcc_64/lib

引用来自“微软不硬”的评论

qmake的path变量设置错了,qmake所在目录应该是一个bin目录

引用来自“xsy7464”的评论

你好,我export时候是/opt/QT5.7.1/5.7/gcc_64/bin ,设置之后输入qmake -v
系统显示的qmake version 3.0
using qt version 5.7.1 in /opt/QT5.7.1/5.7/gcc_64/lib
然而问题依旧。

引用来自“lieefu”的评论

你的Qt5.7.1是自己编译源代码安装的么?
是去qt官网下载的qt-opensource-linux-x64-5.7.1.run文件,通过samba拷贝到Linux虚拟机,然后执行图形化安装的。虚拟机版本是vmware 12
2017/11/08 11:22

引用来自“lieefu”的评论

引用来自“xsy7464”的评论

lieefu你好!
我遇到的问题:自己下载的fcitx-qt5-1.05,qt版本是5.7.1,qmake,cmake都设置了最新的环境变量,然而无论怎么删目录再重来,都在make这一步遇到Generating moc source fcitxplatforminputcontextplugin_automoc.dir/moc_qfcitxplatform_I3GE7FUDXMBKEU.cpp
Generating moc compilation fcitxplatforminputcontextplugin_automoc.cpp
moc failed...
platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/build.make:57: recipe for target 'platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc' failed
make2: *** [platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc] Error 1
CMakeFiles/Makefile2:300: recipe for target 'platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/all' failed
make1: *** [platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/all] Error 2
Makefile:127: recipe for target 'all' failed
make: *** [all] Error 2
问题,请帮助解决下?谢谢!

@xsy7464 参考文中的 设置qmake的环境变量

引用来自“xsy7464”的评论

已经export 过qmake cmake 的目录 qmake:/opt/QT5.7.1/5.7/gcc_64/lib

引用来自“微软不硬”的评论

qmake的path变量设置错了,qmake所在目录应该是一个bin目录

引用来自“xsy7464”的评论

你好,我export时候是/opt/QT5.7.1/5.7/gcc_64/bin ,设置之后输入qmake -v
系统显示的qmake version 3.0
using qt version 5.7.1 in /opt/QT5.7.1/5.7/gcc_64/lib
然而问题依旧。
你的Qt5.7.1是自己编译源代码安装的么?
2017/11/08 11:14

引用来自“lieefu”的评论

引用来自“xsy7464”的评论

lieefu你好!
我遇到的问题:自己下载的fcitx-qt5-1.05,qt版本是5.7.1,qmake,cmake都设置了最新的环境变量,然而无论怎么删目录再重来,都在make这一步遇到Generating moc source fcitxplatforminputcontextplugin_automoc.dir/moc_qfcitxplatform_I3GE7FUDXMBKEU.cpp
Generating moc compilation fcitxplatforminputcontextplugin_automoc.cpp
moc failed...
platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/build.make:57: recipe for target 'platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc' failed
make2: *** [platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc] Error 1
CMakeFiles/Makefile2:300: recipe for target 'platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/all' failed
make1: *** [platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/all] Error 2
Makefile:127: recipe for target 'all' failed
make: *** [all] Error 2
问题,请帮助解决下?谢谢!

@xsy7464 参考文中的 设置qmake的环境变量

引用来自“xsy7464”的评论

已经export 过qmake cmake 的目录 qmake:/opt/QT5.7.1/5.7/gcc_64/lib

引用来自“微软不硬”的评论

qmake的path变量设置错了,qmake所在目录应该是一个bin目录
你好,我export时候是/opt/QT5.7.1/5.7/gcc_64/bin ,设置之后输入qmake -v
系统显示的qmake version 3.0
using qt version 5.7.1 in /opt/QT5.7.1/5.7/gcc_64/lib
然而问题依旧。
2017/11/08 10:47

引用来自“lieefu”的评论

引用来自“xsy7464”的评论

lieefu你好!
我遇到的问题:自己下载的fcitx-qt5-1.05,qt版本是5.7.1,qmake,cmake都设置了最新的环境变量,然而无论怎么删目录再重来,都在make这一步遇到Generating moc source fcitxplatforminputcontextplugin_automoc.dir/moc_qfcitxplatform_I3GE7FUDXMBKEU.cpp
Generating moc compilation fcitxplatforminputcontextplugin_automoc.cpp
moc failed...
platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/build.make:57: recipe for target 'platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc' failed
make2: *** [platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc] Error 1
CMakeFiles/Makefile2:300: recipe for target 'platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/all' failed
make1: *** [platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/all] Error 2
Makefile:127: recipe for target 'all' failed
make: *** [all] Error 2
问题,请帮助解决下?谢谢!

@xsy7464 参考文中的 设置qmake的环境变量

引用来自“xsy7464”的评论

已经export 过qmake cmake 的目录 qmake:/opt/QT5.7.1/5.7/gcc_64/lib
qmake的path变量设置错了,qmake所在目录应该是一个bin目录
2017/11/08 10:39

引用来自“lieefu”的评论

引用来自“xsy7464”的评论

lieefu你好!
我遇到的问题:自己下载的fcitx-qt5-1.05,qt版本是5.7.1,qmake,cmake都设置了最新的环境变量,然而无论怎么删目录再重来,都在make这一步遇到Generating moc source fcitxplatforminputcontextplugin_automoc.dir/moc_qfcitxplatform_I3GE7FUDXMBKEU.cpp
Generating moc compilation fcitxplatforminputcontextplugin_automoc.cpp
moc failed...
platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/build.make:57: recipe for target 'platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc' failed
make2: *** [platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc] Error 1
CMakeFiles/Makefile2:300: recipe for target 'platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/all' failed
make1: *** [platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/all] Error 2
Makefile:127: recipe for target 'all' failed
make: *** [all] Error 2
问题,请帮助解决下?谢谢!

@xsy7464 参考文中的 设置qmake的环境变量
已经export 过qmake cmake 的目录 qmake:/opt/QT5.7.1/5.7/gcc_64/lib
2017/11/08 09:33
@lieefu qmake和cmake 都设置了环境变量,还是不行。
2017/11/08 06:22

引用来自“xsy7464”的评论

lieefu你好!
我遇到的问题:自己下载的fcitx-qt5-1.05,qt版本是5.7.1,qmake,cmake都设置了最新的环境变量,然而无论怎么删目录再重来,都在make这一步遇到Generating moc source fcitxplatforminputcontextplugin_automoc.dir/moc_qfcitxplatform_I3GE7FUDXMBKEU.cpp
Generating moc compilation fcitxplatforminputcontextplugin_automoc.cpp
moc failed...
platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/build.make:57: recipe for target 'platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc' failed
make2: *** [platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc] Error 1
CMakeFiles/Makefile2:300: recipe for target 'platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/all' failed
make1: *** [platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/all] Error 2
Makefile:127: recipe for target 'all' failed
make: *** [all] Error 2
问题,请帮助解决下?谢谢!

@xsy7464 参考文中的 设置qmake的环境变量
2017/11/07 18:57
lieefu你好!
我遇到的问题:自己下载的fcitx-qt5-1.05,qt版本是5.7.1,qmake,cmake都设置了最新的环境变量,然而无论怎么删目录再重来,都在make这一步遇到Generating moc source fcitxplatforminputcontextplugin_automoc.dir/moc_qfcitxplatform_I3GE7FUDXMBKEU.cpp
Generating moc compilation fcitxplatforminputcontextplugin_automoc.cpp
moc failed...
platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/build.make:57: recipe for target 'platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc' failed
make2: *** [platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc] Error 1
CMakeFiles/Makefile2:300: recipe for target 'platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/all' failed
make1: *** [platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/all] Error 2
Makefile:127: recipe for target 'all' failed
make: *** [all] Error 2
问题,请帮助解决下?谢谢!
2017/10/27 20:55
太强!
2017/09/19 14:21
该评论暂时无法显示,详情咨询 QQ 群:点此入群
2017/07/13 20:39
编译拷贝顺利完成,但就是无法输入中文,最终在home目录下新建.profile 文件,并添加如下代码:
GTK_IM_MODULE=fcitx
export XIM_PROGRAM=fcitx
export XIM=fcitx
export QT_IM_MODULE=fcitx
export GTK_IM_MODULE=fcitx
export XMODIFIERS="@im=fcitx"
重启后即可在QT中正常使用搜狗输入法。
参考链接:http://www.jianshu.com/p/240c98edc5f3
2017/07/01 04:42
太感谢了
2017/06/02 11:21
出现没有找到ECM问题的时候,可以运行sudo apt install extra-cmake-modules解决
2017/03/20 18:01
博主,您好。cd extra-cmake-modules-1.4.0
cmake .
make
我执行到make的时候出现错误,'ascii' codec can't decode byte 0xe4 in position 12: ordinal not in range(128)
The full traceback has been saved in /tmp/sphinx-err-egI5R1.log, if you want to report the issue to the developers.
make2: *** [docs/doc_format_html] 错误 1
make1: *** [docs/CMakeFiles/documentation.dir/all] 错误 2
make: *** [all] 错误 2
我在百度里面查找了,说这是出现在python的问题,但是这不是在qt里吗。博主能不能抽空看看我的问题,看看应该怎么解决,在此谢过楼主了。
2016/09/18 18:22
博主帮忙分析啊,这问题困扰我一个月了。
万分纠结啊。
2016/09/18 10:35

引用来自“jxgzlws”的评论

我在编译QT5.5.0时也出现了“Parse error at "IID”的错误。
Ubuntu12.04 博主是删除了哪些目录文件通过的?

引用来自“lieefu”的评论

目的是删除cmake生成的缓存文件,最好的办法是把整个目录删除,重新git clone一个新代码目录。
我不知道你所说的cmake生成的缓存文件是哪些?
而且我是编译的arm版本,现在项目要求是QT5.5.0的,
因此clone一个新的代码这方法行不通
2016/09/18 09:11

引用来自“jxgzlws”的评论

我在编译QT5.5.0时也出现了“Parse error at "IID”的错误。
Ubuntu12.04 博主是删除了哪些目录文件通过的?
目的是删除cmake生成的缓存文件,最好的办法是把整个目录删除,重新git clone一个新代码目录。
2016/09/18 08:53
我在编译QT5.5.0时也出现了“Parse error at "IID”的错误。
Ubuntu12.04 博主是删除了哪些目录文件通过的?
2016/09/07 09:33
make2: *** [platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc] 错误 1
make1: *** [platforminputcontext/CMakeFiles/fcitxplatforminputcontextplugin_automoc.dir/all] 错误 2
make: *** [all] 错误 2
2016/07/25 08:16

引用来自“blinky”的评论

有i386版本的时候,消息通知我哈15910595873.@163.com , 3q
用64位操作系统很久了,没有i386环境
2016/07/24 13:45
有i386版本的时候,消息通知我哈15910595873.@163.com , 3q
2016/07/24 13:44
本人小菜,lz 能不能编一个 i386版本的?? 我现在解决不了的问题是:我在ubuntu中直接用apt-get装libxkbcommon,只能装0.4.1版本的,然后手动装了你给的 0.5.0版本,然后我再次在fcitx目录cmake 还是报错: Could NOT find XKBCommon: Found unsuitable version "0.4.1", but required is at least "0.5.0" (found /usr/lib/i386-linux-gnu/libxkbcommon.so)

当时装0.5.0的时候,结果显示:“Libraries have been installed in: /usr/lib/x86_64-linux-gnu”,(装的是64位版本??)
2016/05/19 14:10
求助个问题 我在debian上安装了Qt5 Creator打开项目编辑的时候好像键盘布局不对,按下的键和打出来的字不一样,有谁遇到过吗?
2016/05/16 19:53

引用来自“可星”的评论

首先感谢
然后这个能用但是我的shadowsock-qt5经常会奔溃,不知道这里哪里出问题了
你可以参考这篇文章:http://www.jianshu.com/p/23aa4769b4ef
2016/05/14 13:47
首先感谢
然后这个能用但是我的shadowsock-qt5经常会奔溃,不知道这里哪里出问题了
2016/05/07 21:14
经测试,发现需要安装ibus-qt4后,就可以输入中文。不影响输入法
2016/04/01 20:17
@lieefu
你的这篇文章是为了让QT编译器使用上fcitx,而我的情况是:电脑里甚至都没有QT全套软件,但是我还是可以把qTox这个用QT编译好的程序运行起来,可是这种程序它就怎么弄都无法用上fcitx,希望得到你的帮助,这样就可以把这个问题吃透了。
2016/04/01 20:15
该评论暂时无法显示,详情咨询 QQ 群:点此入群
2016/04/01 20:13
@lieefu
我的情况比较复杂:
1、我用得是qt5.5.1的QT环境,但是我并不使用这个软件,我只是电脑里有这款软件。
2、我现在想要使用一款名字叫qTox的即时通信软件,但是这款软件里我按你的教程弄了之后,依然无法调用出fcitx的输入框来……

这里我想问几个问题,以后再追问,呵呵。

1、extra-cmake-modules这软件我必须要下载1.4版本的么?要知道它的最新版本已经到了5.18了。
2、同理libxkbcommon这款软件必须用0.5.0的么?它的最新版本到了0.6.0了。
3、看了大家的留言,貌似编译之后的fcitx-qt5源码目录不能删除是吧?
4、还是因为看了大家的留言,貌似qt5.5.1这个版本有问题,而我要使用的qTox软件的软件说明中恰恰表示它是用5.5.1编译出来的。那么我如果把ubuntu里的qt卸载换成5.6的,然后再按教程把.so文件编译出来放到相应位置去,那么我的qTox软件能运行么?且不说它能不能成功使用上fcitx。
5、这篇文章是说自己编译fcitx-qt5,那么我还需要装fcitx-frontend-qt5么?
2016/03/24 16:13

引用来自“秋天不落叶”的评论

Ubuntu14.04 QT5.6成功,分享一下我的http://pan.baidu.com/s/1qX6kzgC
我Qt5.6 是编译过了 但是QTCreator还是不能输入中文
2016/03/17 11:20
该评论暂时无法显示,详情咨询 QQ 群:点此入群
2016/03/10 22:03

引用来自“wey4321”的评论

我重新clone代码进行编译,还是会出现”Parse error at "IID"问题, 我的Qt版本是Qt5.5.1 ,会不会和qt版本有关系?

引用来自“lieefu”的评论

帮你分析了下,现在认为你忘记设置cmake环境变量,Qt的目录了,export PATH="/home/jeffrey/Qt5.6.0/5.6/gcc_64/bin":$PATH 设置正确的Qt版本和目录,试试
应该是Qt5.5.1 版本的问题,我后来把Qt5.5.1卸载了 ,安装了Qt5.4.2 按照你的教程的步骤进行就成功了
2016/03/10 07:48

引用来自“wey4321”的评论

我重新clone代码进行编译,还是会出现”Parse error at "IID"问题, 我的Qt版本是Qt5.5.1 ,会不会和qt版本有关系?
帮你分析了下,现在认为你忘记设置cmake环境变量,Qt的目录了,export PATH="/home/jeffrey/Qt5.6.0/5.6/gcc_64/bin":$PATH 设置正确的Qt版本和目录,试试
2016/03/09 22:19

引用来自“wey4321”的评论

我重新clone代码进行编译,还是会出现”Parse error at "IID"问题, 我的Qt版本是Qt5.5.1 ,会不会和qt版本有关系?

我用的Qt5.6
2016/03/09 20:48
我重新clone代码进行编译,还是会出现”Parse error at "IID"问题, 我的Qt版本是Qt5.5.1 ,会不会和qt版本有关系?
2016/03/08 06:13

引用来自“wqiankun”的评论

请教下,你root用户启动应用,能输入中文吗?

2016/03/08 06:12

引用来自“wey4321”的评论

我在编译的时候遇到”Parse error at "IID"的问题,请问该如何解决?

是第一次编译么?我pull新版本编译遇到这个提示,删除目录,重新clone代码,编译通过了
2016/03/07 22:55
我在编译的时候遇到”Parse error at "IID"的问题,请问该如何解决?
2016/02/18 16:18
请教下,你root用户启动应用,能输入中文吗?
2015/12/23 17:30

引用来自“shizhao”的评论

很详细的教程。我用的是Qt5.5 ,按照教程解决了问题,但没过多久就失效了。从git上得到最新的源码,按照步骤 cmake make makeinstall 就解决了问题。在cmake之前,需要set一下QT5_DIR路径

引用来自“ruanxinyu”的评论

我试了一下,但是只要把编译之后的源码文件夹删掉之后就不好用了,不知道你的是不是这样

引用来自“shizhao”的评论

对的,再一次删掉了,原来是这个问题
我已经找到原因了,没有静态编译,因此依赖libFcitxQt5DBusAddons.so.1 这个动态库也是刚编译生成的,在 fcitx-qt5/dbusaddons/libFcitxQt5DBusAddons.so.1
2015/12/23 16:20

引用来自“shizhao”的评论

很详细的教程。我用的是Qt5.5 ,按照教程解决了问题,但没过多久就失效了。从git上得到最新的源码,按照步骤 cmake make makeinstall 就解决了问题。在cmake之前,需要set一下QT5_DIR路径

引用来自“ruanxinyu”的评论

我试了一下,但是只要把编译之后的源码文件夹删掉之后就不好用了,不知道你的是不是这样
对的,再一次删掉了,原来是这个问题
2015/12/11 15:32

引用来自“shizhao”的评论

很详细的教程。我用的是Qt5.5 ,按照教程解决了问题,但没过多久就失效了。从git上得到最新的源码,按照步骤 cmake make makeinstall 就解决了问题。在cmake之前,需要set一下QT5_DIR路径
我试了一下,但是只要把编译之后的源码文件夹删掉之后就不好用了,不知道你的是不是这样
2015/12/11 15:22
我用UbuntuKylin14.04.3 64位系统测试的,不管是自己编译还是用百度网盘提供的libfcitxplatforminputcontextplugin.so都不行,然后我也参考了http://blog.szm.me/fcitx-with-qt5/的方式,将dbusaddons和widgetsaddons也拷到/opt/Qt5.5.0/5.5/gcc_64/plugins/和/opt/Qt5.5.0/Tools/QtCreator/bin/plugins/目录下发现还是不好用,但是我意外的发现libfcitxplatforminputcontextplugin.so会用到libFcitxQt5DBusAddons.so库,但是默认是到源码下的dbusaddons目录去找该库,所以只要我将自己编译后的源码文件夹删除掉就不好用了,保留则好用
2015/12/11 12:27
很详细的教程。我用的是Qt5.5 ,按照教程解决了问题,但没过多久就失效了。从git上得到最新的源码,按照步骤 cmake make makeinstall 就解决了问题。在cmake之前,需要set一下QT5_DIR路径
2015/10/23 13:11
你好,ubuntu14.04 32bit 只安裝了qtcreator(3.4.2), 编译fcitx-qt5-1.0.1的时候,出现提示错误 fatal error: qpa/qplatformscreen.h: 没有那个文件或目录。指定头文件qt-everywhere-opensource-src-5.5.0后,发现又有变量定义错误。fcitx-qt5-1.0.1是不是 要找对于qt5.5.0 的版本?
2015/10/22 10:42

引用来自“一朝回首”的评论

楼主我下载你的libfcitxplatforminputcontextplugin.so,不起作用啊,我想自己编译来的但是
git clone git@github.com:fcitx/fcitx-qt5.git 下不下来,提示
Permission denied (publickey).
fatal: Could not read from remote repository.

Please make sure you have the correct access rights

引用来自“lieefu”的评论

可能是你没有github账号导致的。请用这个链接下载:https://github.com/fcitx/fcitx-qt5/archive/master.zip
很苦恼啊!到了 wget http://xkbcommon.org/download/libxkbcommon-0.5.0.tar.xz tar xf libxkbcommon-0.5.0.tar.xz ./configure —prefix=/usr —libdir=/usr/lib/x86_64-linux-gnu —disable-x11 make sudo make install 发生错误bash: ./configure: 没有那个文件或目录 怎么办??
2015/10/22 09:32

引用来自“一朝回首”的评论

楼主我下载你的libfcitxplatforminputcontextplugin.so,不起作用啊,我想自己编译来的但是
git clone git@github.com:fcitx/fcitx-qt5.git 下不下来,提示
Permission denied (publickey).
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
可能是你没有github账号导致的。请用这个链接下载:https://github.com/fcitx/fcitx-qt5/archive/master.zip
2015/10/22 09:21
楼主我下载你的libfcitxplatforminputcontextplugin.so,不起作用啊,我想自己编译来的但是
git clone git@github.com:fcitx/fcitx-qt5.git 下不下来,提示
Permission denied (publickey).
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
2015/10/17 19:52

引用来自“lieefu”的评论

引用来自“loaden”的评论

引用来自“winner911”的评论

我很早之前试过无效,所有就没用了。没想到现在更新了,回头试一下啊

引用来自“lieefu”的评论

我刚把我编译的libfcitxplatforminputcontextplugin.so 百度云空间了,你下载测试下,能用否。
请问是64位版本吗?

是64位的
谢谢!看起来依赖libxkb 0.5的版本,我试了你提供的libfcitxplatforminputcontextplugin.so并放对了位置,但不起作用。Qt5.5.0。估计libxkb是动态库。
2015/10/16 23:00

引用来自“lieefu”的评论

引用来自“winner911”的评论

我试了,没有效果,我自己编译的也不行,我是linux mint

我是在Ubuntu14.04下编译的
莫名其妙的成功了,切换了一下ibus输入法,注销后在切换回去fictx,就成功了
2015/10/16 22:12

引用来自“winner911”的评论

我试了,没有效果,我自己编译的也不行,我是linux mint

我是在Ubuntu14.04下编译的
2015/10/16 22:11

引用来自“loaden”的评论

引用来自“winner911”的评论

我很早之前试过无效,所有就没用了。没想到现在更新了,回头试一下啊

引用来自“lieefu”的评论

我刚把我编译的libfcitxplatforminputcontextplugin.so 百度云空间了,你下载测试下,能用否。
请问是64位版本吗?

是64位的
2015/10/16 21:59
我试了,没有效果,我自己编译的也不行,我是linux mint
2015/10/16 21:27
该评论暂时无法显示,详情咨询 QQ 群:点此入群
2015/10/16 21:26
该评论暂时无法显示,详情咨询 QQ 群:点此入群
2015/10/16 21:03

引用来自“winner911”的评论

我很早之前试过无效,所有就没用了。没想到现在更新了,回头试一下啊

引用来自“lieefu”的评论

我刚把我编译的libfcitxplatforminputcontextplugin.so 百度云空间了,你下载测试下,能用否。
请问是64位版本吗?
2015/10/16 17:39

引用来自“winner911”的评论

我很早之前试过无效,所有就没用了。没想到现在更新了,回头试一下啊
我刚把我编译的libfcitxplatforminputcontextplugin.so 百度云空间了,你下载测试下,能用否。
2015/10/16 17:29
我很早之前试过无效,所有就没用了。没想到现在更新了,回头试一下啊
2015/10/12 21:51
太赞了!不过我在编译库的时候,遇到了你说的所有问题,也是醉了!
2015/09/13 09:39
79
回复 @
{{emojiItem.symbol}}
返回顶部
顶部